﻿using System.IO;
using System.Net;
using System.Xml.Serialization;

namespace Libs
{
    public static class XmlLib
    {
        public static T GetObject<T>(string url)
        {
            var request = (HttpWebRequest)WebRequest.Create(url);
            using (var resp = (HttpWebResponse)request.GetResponse())
            {
                var ser = new XmlSerializer(typeof(T));
                var stream = resp.GetResponseStream();
                if (stream != null)
                    return (T)ser.Deserialize(stream);
                return default(T);
            }
        }

        public static T GetObject<T>(Stream stream)
        {
            var ser = new XmlSerializer(typeof(T));
            if (stream != null)
                return (T)ser.Deserialize(stream);
            return default(T);
        }
    }
}
